﻿using Sharpex2D;
using Sharpex2D.Framework.Game;
using Sharpex2D.Framework.Input;
using Sharpex2D.Framework.Math;
using Sharpex2D.Framework.Rendering;
using Sharpex2D.Framework.Rendering.Devices;
using Sharpex2D.Framework.Rendering.Fonts;

namespace MyGame
{
    public class PiggyPlayer : IUpdateable, IDrawable
    {

        public PiggyPlayer()
        {
            Position = new Vector2(0, 0);
            _font = new Font(new Typeface {FamilyName = "Segoe UI", Size = 11});
            _input = SGL.Components.Get<InputManager>();
        }

        public Vector2 Position { set; get; }
        public Texture2D Texture { set; get; }

        private Font _font;
        private InputManager _input;

        public void Update(GameTime gameTime)
        {
            if (_input.Keyboard.IsKeyPressed(Keys.Down))
            {
                Position.Y+=16;
            }
            if (_input.Keyboard.IsKeyPressed(Keys.Up))
            {
                Position.Y-=16;
            }
            if (_input.Keyboard.IsKeyPressed(Keys.Left))
            {
                Position.X-=16;
            }
            if (_input.Keyboard.IsKeyPressed(Keys.Right))
            {
                Position.X+=16;
            }
        }

        public void Render(RenderDevice renderer, GameTime gameTime)
        {
            renderer.DrawTexture(Texture, Position, Color.White);
            renderer.DrawString("PiggyPlayer", _font, Position, Color.White);
        }
    }
}
